at.chipkarte.client.kse.soap

## Class KonsultationdatenAnfrage

- Object
- - at.chipkarte.client.kse.soap.KonsultationdatenAnfrage

-     public class KonsultationdatenAnfrage
      extends Object

  Enthält die Daten zu einer asynchronen Konsultationsanfrage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KonsultationdatenAnfrage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnfrageId()` ID der ursprünglichen Anfrage.
    `SuchFilter` | `getFilter()` Suchkriterien der Anfrage.
    `Integer` | `getStatus()` Status der Anfrage (mögliche Werte: `AnfrageStatus`).
    `String` | `getTimestamp()` Zeitpunkt, zu dem die Anfrage erstellt wurde.
    `void` | `setAnfrageId(String anfrageId)`
    `void` | `setFilter(SuchFilter filter)`
    `void` | `setStatus(Integer status)`
    `void` | `setTimestamp(String timestamp)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KonsultationdatenAnfrage

          public KonsultationdatenAnfrage()

  - ### Method Detail

    - #### getAnfrageId

          public String getAnfrageId()

      ID der ursprünglichen Anfrage.
      Format: maximal 19-stellig
      Returns:
        Anfrage-ID

    - #### setAnfrageId

          public void setAnfrageId(String anfrageId)

    - #### getFilter

          public SuchFilter getFilter()

      Suchkriterien der Anfrage.
      Returns:
        SuchFilter

    - #### setFilter

          public void setFilter(SuchFilter filter)

    - #### getStatus

          public Integer getStatus()

      Status der Anfrage (mögliche Werte: `AnfrageStatus`).
      Format: 1-stellig
      Returns:
        Status

    - #### setStatus

          public void setStatus(Integer status)

    - #### getTimestamp

          public String getTimestamp()

      Zeitpunkt, zu dem die Anfrage erstellt wurde.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        Zeitstempel

    - #### setTimestamp

          public void setTimestamp(String timestamp)